/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Embeddable;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;

/**
 * 
 * @author Administrador
 */
@Embeddable
public class MarcaClaseServicioPK implements Serializable {

	private static final long serialVersionUID = 1L;
	@Basic(optional = false)
	@OneToOne
	@JoinColumn(name = "CLASESERVICIO_ID")
	private ClaseServicio claseservicio;
	@Basic(optional = false)
	@OneToOne
	@JoinColumn(name = "MARCA_ID")
	private Marca marca;

	public MarcaClaseServicioPK() {
	}

	public ClaseServicio getClaseservicio() {
		return claseservicio;
	}

	public void setClaseservicio(ClaseServicio claseservicio) {
		this.claseservicio = claseservicio;
	}

	public Marca getMarca() {
		return marca;
	}

	public void setMarca(Marca marca) {
		this.marca = marca;
	}
}
